package org.iri_research.renkan.coweb.event;

import java.io.Serializable;
import java.util.Map;

public interface ISyncEventManager<T, ID extends Serializable> {
	
	public void dispatchEvent(String clientId, Map<String, Object> data);

	public void update(String clientId, Map<String, Object> data);
	public void insert(String clientId, Map<String, Object> data);
	public void delete(String clientId, Map<String, Object> data);
	public void nullOperation(String clientId, Map<String, Object> data);
	

}
